      subroutine hec_ped_print
c
c print over all events ped and rms 
c
      implicit none
c
      include'hec_par.inc'      !shared parameters
      include'hec_geo.inc'      !geometry correspondence tables
      include'hec_ped.inc'      !pedestal values
c
      integer ic
c
c do over channels
c
      print *, ' '
      print *, ' *** Pedestals computed over all events'
      print *, '   ic      ped      rms'
      do ic = 1, i_adc_used
        write(*, '(1x,i5,2(2x,f7.1))') 
     +  ic, adc_ped_run(ic), adc_rms_run(ic)
      enddo
c
      end
        
